<?php

namespace App\Exports;

use App\Models\LqAdelanto;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\WithMapping;

class LqAdelantoExport implements FromCollection, WithHeadings ,WithMapping
{


    protected $sociedad_id;
    protected $tipo_comprobante_id;
    protected $motivo_id;
    protected $start_date;
    protected $end_date;
    
    public function __construct($sociedad_id=null, $tipo_comprobante_id=null, $motivo_id=null, $start_date=null, $end_date=null )
    {
        $this->sociedad_id = $sociedad_id;
        $this->tipo_comprobante_id = $tipo_comprobante_id;
        $this->motivo_id = $motivo_id;
        $this->start_date = $start_date;
        $this->end_date = $end_date;
    }


    public function collection()
    {
        $query = LqAdelanto::query();




        if ($this->sociedad_id){
            $query->where('sociedad_id', $this->sociedad_id);
        }


        
    
        if ($this->tipo_comprobante_id) {
            //FILTRO POR TIPO DE COMPROBANTE BASADO EN SU RELACIÓN CON LA SALIDACUENTA
            $query->whereHas('salidacuenta.tipocomprobante', function ($q) {
                $q->where('id', $this->tipo_comprobante_id);
            });
        }

        if ($this->start_date){
            $query->where('start_date', $this->start_date);
        }


        if ($this->start_date) {
            $query->where('created_at', '>=', $this->start_date);
        }

        if ($this->end_date) {
            $query->where('created_at', '<=', $this->end_date);
        }




        return $query->get();
    }






    public function headings():array{
        return[
            'ID',
            'MONTO',
            'MONEDA',
            'TIPO CAMBIO',
            'CONVERSIÓN',
            'CUENTA',
            'MOTIVO',
            'TIPO COMPROBANTE',
            'CORRELATIVO DEL COMPROBANTE',
            'DESCRIPCIÓN',
            'FECHA DE CREACIÓN',

        ];
    }



    public function map($adelanto):array
    {
        return[
            $adelanto->id,

            optional(value: $adelanto->salidacuenta)->monto ?? '-',
            optional(value: $adelanto->salidacuenta->cuenta->tipomoneda)->nombre ?? '-', 
            $adelanto->tipo_cambio ?? '-',
            optional(value: $adelanto->salidacuenta)->monto *  $adelanto->tipo_cambio ?? '-',
            optional(value: $adelanto->salidacuenta->cuenta)->nombre ?? '-', 
            optional($adelanto->salidacuenta->motivo)->nombre ?? '-', 
            optional($adelanto->salidacuenta->tipocomprobante)->nombre ?? '-', 

            optional($adelanto->salidacuenta)->comprobante_correlativo ?? '-',
            $adelanto->descripcion ?? '-',


            $adelanto->created_at,
        ];
    }





}
