@extends('admin.layout')

@section('content')
    <div class="container">
        <br />
        <div class="card">

            <div class="card-header">
                <div class="row justify-content-between">
                    <div class="col-md-6">
                        <h6 class="mt-2">
                            {{ __('LIQUIDAR') }}
                        </h6>
                    </div>
                    <div class="col-md-6 text-right">
                        <a class="btn btn-danger btn-sm" href="{{ route('lqliquidaciones.index') }}">
                            {{ __('VOLVER') }}
                        </a>
                    </div>
                </div>
            </div>

            <div class="card-body">
                <form class="create-liquidacion" method="POST" action="{{ route('lqliquidaciones.store') }}">
                    @csrf

                    <div class="row" style="margin-top: -10px">

                        <div class=" col-md-5 g-3 ">
                            <label for="cuenta" class="text-sm">
                                {{ __('CUENTA') }}
                            </label>
                            <br>
                            <select name="cuenta_id" id="cuenta"
                                class="form-control form-control-sm buscador @error('cuenta') is-invalid @enderror"
                                aria-label="" style="width: 100%" required="">
                                <option selected value="">
                                    Seleccione la cuenta
                                </option>
                                @foreach ($cuentas as $cuenta)
                                    <option value="{{ $cuenta->id }}"
                                        {{ old('cuenta') == $cuenta->id ? 'selected' : '' }}>
                                        {{ $cuenta->nombre }}
                                    </option>
                                @endforeach
                            </select>
                            @error('cuenta')
                                <div class="invalid-feedback">
                                    {{ $message }}
                                </div>
                            @enderror
                        </div>

                        <div class="form-group col-md-5 ">
                            <label for="motivo" class="text-sm">
                                {{ __('MOTIVO') }}
                            </label>
                            <br>
                            <select name="motivo_id" id="motivo"
                                class=" form-control form-control-sm buscador @error('cuenta') is-invalid @enderror"
                                aria-label="" style="width: 100%" required>
                                <option selected value="">
                                    Seleccione el motivo
                                </option>
                                @foreach ($motivos as $motivo)
                                    <option value="{{ $motivo->id }}"
                                        {{ old('motivo') == $motivo->id ? 'selected' : '' }}>
                                        {{ $motivo->nombre }}
                                    </option>
                                @endforeach
                            </select>
                            @error('motivo')
                                <div class="invalid-feedback">
                                    {{ $message }}
                                </div>
                            @enderror
                        </div>


                        <div class="form col-md-2 mb-3">
                            <label for="fecha" class="text-sm">
                                {{ __('FECHA') }}
                            </label>
                            <input name="fecha" id="fecha" class="form-control form-control-sm"
                                placeholder="Ingrese la fecha" type="date">
                            <span class="input-border"></span>
                        </div>


                        <div class="form-group col-md-4 g-3">
                            <label for="tipo_comprobante" class="text-sm">
                                {{ __('TIPO DE COMPROBANTE') }}
                            </label>
                            <br>
                            <select name="tipo_comprobante_id" id="tipo_comprobante"
                                class=" form-control form-control-sm buscador @error('tipo_comprobante') is-invalid @enderror"
                                aria-label="" style="width: 100%">
                                <option selected value="">
                                    Seleccione el tipo de comprobante
                                </option>
                                @foreach ($tiposcomprobantes as $tipocomprobante)
                                    <option value="{{ $tipocomprobante->id }}"
                                        {{ old('banco') == $tipocomprobante->id ? 'selected' : '' }}>
                                        {{ $tipocomprobante->nombre }}
                                    </option>
                                @endforeach
                            </select>
                            @error('tipocomprobante')
                                <div class="invalid-feedback">
                                    {{ $message }}
                                </div>
                            @enderror
                        </div>

                        <div class="form col-md-4  mb-3">
                            <label for="comprobante_correlativo" class="text-sm">
                                {{ __('NRO COMPROBANTE') }}
                            </label>
                            <input name="comprobante_correlativo" id="comprobante_correlativo"
                                class="form-control-sm form-control" placeholder="Ingrese el correlativo del comprobante"
                                type="text">
                            <span class="input-border"></span>
                        </div>

                        <div class="form-group col-md-4 g-3">
                            <label for="cliente" class="text-sm">
                                {{ __('RAZON SOCIAL FACTURA') }}
                            </label>
                            <br>
                            <select name="cliente_id" id="cliente"
                                class=" form-control form-control-sm buscador @error('cliente') is-invalid @enderror"
                                aria-label="" style="width: 100%">
                                <option selected value="">
                                    Seleccione la razón social del proveedor
                                </option>
                                @foreach ($clientes as $cliente)
                                    <option value="{{ $cliente->id }}"
                                        {{ old('cliente') == $cliente->id ? 'selected' : '' }}>
                                        {{ $cliente->nombre }}
                                    </option>
                                @endforeach
                            </select>
                            @error('cliente')
                                <div class="invalid-feedback">
                                    {{ $message }}
                                </div>
                            @enderror
                        </div>

                        <div class="form mb-1 col-md-4 mt-2">
                            <input name="documento" id="documento" class=" form-control form-control-sm"
                                placeholder="Documento del representante..." required="" type="text">
                            <span class="input-border"></span>
                        </div>

                        <div class="form col-md-8 mb-2 mt-2">
                            <input name="nombre" id="nombre" class=" form-control form-control-sm"
                                placeholder="Valide el nombre del representante del cliente..." required=""
                                type="text">
                            <span class="input-border"></span>
                        </div>

                        <div class="form-group col-md-12 ">
                            <label for="descripcion" class="text-sm">
                                {{ __('DESCRIPCIÓN') }}
                            </label>
                            <input name="descripcion" id="descripcion"
                                class="form-control form-control-sm @error('descripcion') is-invalid @enderror"
                                placeholder="De ser el caso, ingrese una descripción...">
                            @error('descripcion')
                                <div class="invalid-feedback">
                                    {{ $message }}
                                </div>
                            @enderror
                        </div>





                        <div class="form-group col-md-6 g-3 ">
                            <label for="sociedad" class="text-sm">
                                {{ __('SOCIEDAD CÓDIGO') }}
                            </label>
                            <br>
                            <select name="sociedad_id" id="sociedad"
                                class=" form-control form-control-sm buscador @error('sociedad') is-invalid @enderror"
                                aria-label="" style="width: 100%" required>
                                <option selected value="">
                                    Seleccione la sociedad
                                </option>
                                @foreach ($sociedades as $sociedad)
                                    <option value="{{ $sociedad->id }}"
                                        {{ old('sociedad') == $sociedad->id ? 'selected' : '' }}>
                                        {{ $sociedad->codigo }} - {{ $sociedad->nombre }}
                                    </option>
                                @endforeach
                            </select>
                            @error('tipocomprobante')
                                <div class="invalid-feedback">
                                    {{ $message }}
                                </div>
                            @enderror
                        </div>

                        <div class="form col-md-6  ">
                            <label for="sociedad" class="text-sm">
                                {{ __('NOMBRE') }}
                            </label>
                            <input name="sociedad_nombre" id="sociedad_nombre" class=" form-control form-control-sm"
                                placeholder="Nombre de la sociedad" disabled type="text">
                            <span class="input-border"></span>
                        </div>

                        <!-- CONTAINER PARA LOS ADELANTOS RELACIONADOS A ESTA SOCIEDAD -->
                        <div id="checkbox_adelantos_container" class="col-md-12">
                        </div>



                        <div class="form col-md-4 mb-3">
                            <label for="dolares" class="text-sm">
                                {{ __('LIQUIDACIÓN EN DOLARES') }}
                            </label>
                            <input name="dolares" id="dolares" class="form-control form-control-sm"
                                placeholder="Total en dolares" required="" type="text">
                            <span class="input-border"></span>
                        </div>

                        <div class="form col-md-4 mb-3">
                            <label for="tipo_cambio" class="text-sm">
                                {{ __('TIPO CAMBIO') }}
                            </label>
                            <input name="tipo_cambio" id="tipocambio" class="form-control form-control-sm"
                                placeholder="Ingrese el tipo de cambio" required type="text">
                            <span class="input-border"></span>
                        </div>

                        <div class="form col-md-4 mb-3">
                            <label for="sociedad" class="text-sm">
                                {{ __('CONVERSIÓN') }}
                            </label>
                            <input name="soles" id="soles" class="form-control form-control-sm"
                                placeholder="Total en soles" required type="text">
                            <span class="input-border"></span>
                        </div>



                        <div class="col-md-6">

                            <label for="descuento" class="text-info text-sm">
                                {{ __('DESCUENTO POR ADELANTOS DOLARES') }}
                            </label>
                            <input name="descuento_dolares" id="descuento_dolares"
                                class="bg-info .text-white form-control form-control-sm" value="0.00" placeholder=""
                                required type="text">
                            <span class="input-border"></span>
                        </div>


                        <div class="col-md-6">

                            <label for="descuento" class="text-info text-sm">
                                {{ __('DESCUENTO POR ADELANTOS SOLES') }}
                            </label>
                            <input name="descuento_soles" id="descuento_soles"
                                class="bg-info .text-white form-control form-control-sm" value="0.00" placeholder=""
                                required type="text">
                            <span class="input-border"></span>
                        </div>


                        <div class="col-md-6">

                            <label for="otros_descuentos_dolares" class="text-secondary text-sm">
                                {{ __('OTROS DESCUENTOS DOLARES') }}
                            </label>
                            <input name="otros_descuentos_dolares" id="otros_descuentos_dolares"
                                class=" .text-white form-control form-control-sm" placeholder="0.00" type="text">
                            <span class="input-border"></span>
                        </div>

                        <div class="col-md-6">

                            <label for="otros_descuentos_soles" class="text-secondary text-sm">
                                {{ __('OTROS DESCUENTOS SOLES') }}
                            </label>
                            <input name="otros_descuentos_soles" id="otros_descuentos_soles"
                                class="form-control form-control-sm" placeholder="0.00" type="text">
                            <span class="input-border"></span>
                        </div>



                        <div class="col-md-6 ">

                            <label for="importe_dolares" class="text-success text-sm">
                                {{ __('IMPORTE FINAL DOLARES') }}
                            </label>
                            <input name="importe_total_dolares" id="importe_total_dolares"
                                class="bg-success .text-white form-control form-control-sm" value="0.00" placeholder=""
                                required type="text">
                            <span class="input-border"></span>
                        </div>

                        <div class="col-md-6 ">

                            <label for="importe_soles" class="text-success text-sm">
                                {{ __('IMPORTE FINAL SOLES') }}
                            </label>
                            <input name="importe_total_soles" id="importe_total_soles"
                                class="bg-success .text-white form-control form-control-sm" value="0.00" placeholder=""
                                required type="text">
                            <span class="input-border"></span>
                        </div>


                        <div class="col-md-12 text-right g-3">
                            <button type="submit" class="btn btn-sm btn-secondary text-end mt-2">REGISTRAR
                                LIQUIDACIÓN</button>
                        </div>
                        <br>

                    </div>

                </form>
            </div>
        </div>
    </div>

@section('js')
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>

    <script>
        // BUSCADOR CON SEARCHING
        $(document).ready(function() {
            $('.buscador').select2({
                theme: "classic"
            });
        });
    </script>

    <script>
        $(document).ready(function() {
            // BASADO EN LA SOCIEDAD MUESTRA LOS ADELANTOS CON UN CHECKBOX
            $('#sociedad').change(function() {
                let sociedadId = $(this).val();

                if (sociedadId) {
                    $.ajax({
                        url: '{{ route('get.adelantos.by.sociedad') }}', // Adjust the URL to your route
                        method: 'GET',
                        data: {
                            sociedad_id: sociedadId
                        },
                        success: function(data) {
                            let container = $('#checkbox_adelantos_container');
                            container.empty(); // Clear previous checkboxes

                            if (data.length > 0) {

                                container.append(`<h6 class="ml-1">ADELANTOS REGISTRADOS</h6>`)

                                data.forEach(function(adelanto) {
                                    let dol_monto;
                                    let sol_monto;

                                    if (adelanto.salidacuenta.cuenta.tipomoneda
                                        .nombre == 'dolares') {
                                        dol_monto = adelanto.salidacuenta.monto
                                        sol_monto = adelanto.salidacuenta.monto *
                                            adelanto.tipo_cambio
                                    } else {
                                        dol_monto = Math.round((adelanto.salidacuenta
                                                .monto / adelanto.tipo_cambio) *
                                            100) / 100;
                                        sol_monto = adelanto.salidacuenta.monto

                                    }


                                    container.append(`
                                        <div class="col-md-12">

                                                <input type="checkbox" name="adelantos[]" value="${adelanto.id}" id="adelanto_${adelanto.id}">
                                                <span style="font-size:13px; " for="adelanto_${adelanto.id}">DOLARES: ${dol_monto} , CAMBIO: ${adelanto.tipo_cambio}, SOLES: ${sol_monto} </span>
                                        </div>
                                    `);
                                });
                            } else {
                                container.append(
                                    '<p>No hay adelantos activos para esta sociedad.</p>');
                            }
                        }
                    });
                } else {
                    $('#checkbox_adelantos_container').empty(); // Clear if no sociedad is selected
                }
            });
        });
    </script>

    <script>
        //FUNCIÓN PARA CONVERTIR DOLARES A SOLES
        $(document).on("input", '#tipocambio, #dolares', function() {
            var tipocambio = parseFloat($('#tipocambio').val()); // Convert to a float
            var monto = parseFloat($('#dolares').val()); // Convert to a float

            if (monto && tipocambio && !isNaN(tipocambio) && !isNaN(monto)) {
                var total = (monto * tipocambio).toFixed(2); // Multiply and format to 2 decimal places
                $('#soles').val(total); // Set the result in the #total field
            } else {
                $('#soles').val(''); // Clear the total field if inputs are not valid
            }
        });
    </script>

    <script>
        var adelantos = @json($adelantos);
        // ACTUALIZA EL CAMPO DE DESCUENTOS EN BASE A LOS CHECKBOXES SELECCIONADOS
        $(document).on('change', '#checkbox_adelantos_container input[type="checkbox"]', function() {
            var sum_dolares = 0; //INICIALIZA VARIABLE DE LA SUMA DE LOS ADELANTOS EN DOLARES
            var sum_soles = 0; //INICIALIZA VARIABLE DE LA SUMA DE LOS ADELANTOS EN SOLES
            $('#checkbox_adelantos_container input[type="checkbox"]:checked').each(
        function() { //EVENTO CUANDO SE SELECCIONA UN CHECKBOX
                var adelantoId = $(this).val(); //OBTIENE EL ADELANTO QUE SE SELECCIONÓ
                var adelanto = adelantos.find(a => a.id == adelantoId); //OBTIENE EL OBJETO
                let dol_monto; // INICIALIZA LA VARIABLE DEL MONTO DEL ADELANTO EN DOLARES
                let sol_monto; // INICIALIZA LA VARIABLE DEL MONTO DEL ADELANTO EN SOLES
                if (adelanto.salidacuenta.cuenta.tipomoneda.nombre ==
                    'dolares') { //VERIFICA SI EL ADELANTO ES EN DOLARES
                    dol_monto = adelanto.salidacuenta
                        .monto //OBTIENE EL MONTO DEL ADELANTO EN DOLARES (EL MONTO ESTÁ EN REALIDAD ALMACENADO EN LA TABLA DE SALIDAS DE LAS CUENTAS, PERO EXISTE UNA RELACIÓN ENTRE LAS SALIDAS DE LAS CUENTAS Y LOS ADELANTOS)
                    sol_monto = adelanto.salidacuenta.monto * adelanto.tipo_cambio // HACE LA CONVERSION 
                } else { // EN CASO EL ADELANTO SE HIZO DESDE LA CUENTA EN SOLES
                    dol_monto = Math.round((adelanto.salidacuenta.monto / adelanto.tipo_cambio) * 100) /
                    100; // HACE LA CONVERSION DE SOLES A DOLARES
                    sol_monto = adelanto.salidacuenta.monto // EL MONTO EN SOLES ES EL MISMO

                }



                if (adelanto) {
                    sum_dolares += parseFloat(dol_monto) ||
                    0; // SE SUMA AL TOTAL DEL DESCUENTO EN DOLARES EL MONTO EN DOLARES DEL ADELANTO
                    sum_soles += parseFloat(sol_monto) ||
                    0; // SE SUMA AL TOTAL DEL DESCUENTO EN SOLES EL MONTO EN SOLES DEL ADELANTO
                }
            });
            $('#descuento_dolares').val(sum_dolares.toFixed(2)); //SE PASA LA SUMA AL  INPUT EN EL HTML
            $('#descuento_soles').val(sum_soles.toFixed(2)); //SE PASA LA SUMA AL  INPUT EN EL HTML
        });
    </script>


    <script>
        //FUNCIÓN PARA CONVERTIR EN SOLES OTROS DESCUENTOS
        $(document).on("input", '#otros_descuentos_dolares, #tipocambio', function() {
            var tipocambio = parseFloat($('#tipocambio').val()); // Convert to a float
            var monto = parseFloat($('#otros_descuentos_dolares').val()); // Convert to a float

            if (monto && tipocambio && !isNaN(tipocambio) && !isNaN(monto)) {
                var total = (monto * tipocambio).toFixed(2); // Multiply and format to 2 decimal places
                $('#otros_descuentos_soles').val(total); // Set the result in the #total field
            } else {
                $('#otros_descuentos_soles').val(''); // Clear the total field if inputs are not valid
            }
        });

        //FUNCIÓN PARA CONVERTIR EN DOLARES OTROS DESCUENTOS

        $(document).on("input", '#otros_descuentos_soles, #dolares', function() {
            var tipocambio = parseFloat($('#tipocambio').val()); // Convert to a float
            var monto = parseFloat($('#otros_descuentos_soles').val()); // Convert to a float

            if (monto && tipocambio && !isNaN(tipocambio) && !isNaN(monto)) {
                var total = Math.round((monto / tipocambio) * 100) / 100; // HACE LA CONVERSION DE SOLES A DOLARES

                $('#otros_descuentos_dolares').val(total); // Set the result in the #total field
            } else {
                $('#otros_descuentos_dolares').val(''); // Clear the total field if inputs are not valid
            }
        });
    </script>


    <script>
        //CALCULAR Y PASAR EL TOTAL DEFINITIVO EN DOLARES Y SOLES
        $(document).on("input", '#tipocambio, #dolares, #otros_descuentos_dolares,  #otros_descuentos_soles',
        function() { //SE CALCULA EN CASO SE INGRESE UN VALOR EN TIPO CAMBIO, EN EL CAMPO PARA EL TOTAL EN DOLARES, O EN EL CAMPO OTROS DESCUENTOS
            var liq_dolares = parseFloat($('#dolares')
        .val()); // SE OBTIENE EL TOTAL DEL HTML Y SE CONVIERTE A FLOAT
            var descuento_dolares = isNaN(parseFloat($('#descuento_dolares').val())) ? 0 : parseFloat($(
                '#descuento_dolares').val());

            var otros_descuentos_dolares = parseFloat($('#otros_descuentos_dolares').val());

            if (liq_dolares) {
                if (otros_descuentos_dolares) {

                    var total = (liq_dolares - (descuento_dolares + otros_descuentos_dolares)).toFixed(
                    2); // Multiply and format to 2 decimal places
                } else {
                    var total = (liq_dolares - (descuento_dolares)).toFixed(2);
                }
                $('#importe_total_dolares').val(total); // Set the result in the #total field
            } else {
                $('#importe_total_dolares').val('0.00'); // Clear the total field if inputs are not valid
            }

            var liq_soles = parseFloat($('#soles').val()); // Convert to a float
            var descuento_soles = isNaN(parseFloat($('#descuento_soles').val())) ? 0 : parseFloat($(
                '#descuento_soles').val());


            var otros_descuentos_soles = parseFloat($('#otros_descuentos_soles').val());


            if (liq_soles) {
                if (otros_descuentos_soles) {
                    var total_soles = (liq_soles - (descuento_soles + otros_descuentos_soles)).toFixed(
                    2); // Multiply and format to 2 decimal places
                } else {
                    var total_soles = (liq_soles - (descuento_soles)).toFixed(2);
                }

                $('#importe_total_soles').val(total_soles); // Set the result in the #total field
            } else {
                $('#importe_total_soles').val('0.00'); // Clear the total field if inputs are not valid
            }




        });


        $(document).on('change', '#checkbox_adelantos_container input[type="checkbox"]', function() {


            var liq_dolares = parseFloat($('#dolares').val()); // Convert to a float
            var descuento_dolares = isNaN(parseFloat($('#descuento_dolares').val())) ? 0 : parseFloat($(
                '#descuento_dolares').val());
            if (liq_dolares) {
                var otros_descuentos_dolares = parseFloat($('#otros_descuentos_dolares').val());

                if (otros_descuentos_dolares) {

                    var total = (liq_dolares - (descuento_dolares + otros_descuentos_dolares)).toFixed(
                    2); // Multiply and format to 2 decimal places
                } else {
                    var total = (liq_dolares - (descuento_dolares)).toFixed(2);
                }
                $('#importe_total_dolares').val(total); // Set the result in the #total field
            } else {
                $('#importe_total_dolares').val('0.00'); // Clear the total field if inputs are not valid
            }



            var liq_soles = parseFloat($('#soles').val()); // Convert to a float
            var descuento_soles = isNaN(parseFloat($('#descuento_soles').val())) ? 0 : parseFloat($(
                '#descuento_soles').val());

            if (liq_soles) {
                var otros_descuentos_soles = parseFloat($('#otros_descuentos_soles').val());

                if (otros_descuentos_soles) {
                    var total_soles = (liq_soles - (descuento_soles + otros_descuentos_soles)).toFixed(
                    2); // Multiply and format to 2 decimal places
                } else {
                    var total_soles = (liq_soles - (descuento_soles)).toFixed(2);
                }
                $('#importe_total_soles').val(total_soles); // Set the result in the #total field
            } else {
                $('#importe_total_soles').val('0.00'); // Clear the total field if inputs are not valid
            }

        });
    </script>

    <script>
        //API SUNAT Y RENIEC
        $(document).ready(function() {
            function isRucOrDni(value) {
                return value.length === 8 || value.length === 11;
            }

            function buscarDocumento(url, inputId, datosId) {
                var inputValue = $(inputId).val();
                var tipoDocumento = inputValue.length === 8 ? 'dni' : 'ruc';

                // Realizar la solicitud AJAX al controlador
                $.ajax({
                    url: url,
                    type: 'POST',
                    data: {
                        _token: '{{ csrf_token() }}',
                        documento: inputValue,
                        tipo_documento: tipoDocumento
                    },
                    success: function(response) {
                        console.log('1', 'API Response:', response);
                        // Manejar la respuesta del controlador
                        if (tipoDocumento === 'dni') {
                            $(datosId).val(response.nombres + ' ' + response.apellidoPaterno + ' ' +
                                response.apellidoMaterno);
                        } else {
                            $(datosId).val(response.razonSocial);
                        }

                        $(datosId).removeClass('is-invalid').addClass('is-valid');
                    },
                    error: function(xhr, status, error) {
                        // Manejar el error de la solicitud
                        console.log('3', xhr.responseText);
                        $(datosId).val('');
                        $(datosId).removeClass('is-valid').addClass('is-invalid');
                    }
                });
            }

            $('#documento').on('input', function() {
                var inputLength = $(this).val().length;
                if (inputLength === 8 || inputLength === 11) {
                    buscarDocumento('{{ route('buscar.documento') }}', '#documento', '#nombre');
                }
            });



            // Validar ruc o dni y cambiar el borde a verde al llenar los campos
            $('#documento').off('input').on('input', function() {
                var inputLength = $(this).val().length;
                if (inputLength === 8 || inputLength === 11) {
                    buscarDocumento('{{ route('buscar.documento') }}', '#documento', '#nombre');
                }
            });

            // Cambiar el borde a verde cuando se llenen los campos datos_cliente
            $('.datos-input').on('input', function() {
                var value = $(this).val();
                $(this).toggleClass('is-valid', value.trim().length > 0);
                $(this).toggleClass('is-invalid', value.trim().length === 0);
            });
        });
    </script>

    <script>
        //OBTIENE EL NOMBRE DE LA SOCIEDAD EN BASE AL CÓDIGO DE LA MISMA
        $(document).on("input", "#sociedad", function() {
            var sociedad = $(this).val();
            var url = "{{ route('get.sociedad.nombre.by.code', ['sociedad' => ':sociedad']) }}";
            url = url.replace(':sociedad', sociedad);


            $.ajax({
                url: url,
                type: 'GET',
                dataType: 'json',
                success: function(response) {
                    if (response.success) {
                        var sociedad = response.sociedad;
                        $('#sociedad_nombre').val(response.sociedad.nombre);
                    } else {
                        // Handle error: product not found
                    }
                },
                error: function(xhr, status, error) {
                    // Handle AJAX errors
                }
            });
        });
    </script>



    <script>
        //FINDING DOCUMENTO REPRESENTANTE ADELLANTO FUNCTIONALITY
        $('#nombre').on('input', function(e) {
            e.preventDefault();
            let search_string = $(this).val();
            if (search_string.length >= 10) {
                $.ajax({
                    url: "{{ route('autocomp.representliquidacion') }}",
                    method: 'GET',
                    data: {
                        search_string: search_string
                    },
                    success: function(response) {

                        $('#documento').val(response.documento);

                    },
                    error: function(xhr, status, error) {
                        console.error('AJAX Error:', error);
                    }
                });

            }
        });




        // Confirm dialog on form submit
        $('.create-liquidacion').submit(function(e) {
            e.preventDefault();
            Swal.fire({
                title: '¿Crear Liquidación  ?',
                icon: 'info',
                showCancelButton: true,
                confirmButtonColor: '#007777',
                cancelButtonColor: '#d33',
                confirmButtonText: '¡Sí, confirmar!',
                cancelButtonText: 'Cancelar'
            }).then((result) => {
                if (result.isConfirmed) {
                    this.submit();
                }
            });
        });
    </script>
@endsection
@endsection
