

<?php $__env->startSection('content'); ?>
    <div class="container">
        <!-- Consulta -->
        <div class="card">
            <div class="card-header">
                <div class="row justify-content-between">
                    <div class="col-md-6">
                        <h6 class="mt-2">
                            <?php echo e(__('CONSULTA')); ?>

                        </h6>
                    </div>
                    <div class="col-md-6 text-end">
                        <a class="btn btn-danger btn-sm" href="<?php echo e(route('home')); ?>">
                            <?php echo e(__('VOLVER')); ?>

                        </a>
                    </div>
                </div>
            </div>

            <!-- form -->
            <div class="card-body">
                <form method="GET" action="<?php echo e(route('data.query')); ?>">
                    <?php echo csrf_field(); ?>
                    <div class="row">
                        <div class="form-group col-md-12 g-3">
                            <label for="documento_cliente" class="text-muted">
                                <?php echo e(__('DOCUMENTO DEL CLIENTE')); ?>

                            </label>
                            <span class="text-danger">(*)</span>
                            <input type="text" name="documento_cliente" id="documento_cliente" class="form-control"
                                placeholder="Ingrese el documento del cliente">
                        </div>

                        <div class="form-group col-md-12 g-3">
                            <label for="accion_id" class="text-muted">
                                <?php echo e(__('ACCIÓN')); ?>

                            </label>
                            <select name="accion_id" id="accion_id" placeholder="Acción" class="form-control">
                                <option value="">Seleccionar Acción</option>
                                <?php $__currentLoopData = $accions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($id); ?>"><?php echo e($name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>

                        <div class="form-group col-md-12 g-3">
                            <label for="start_date" class="text-muted">
                                <?php echo e(__('FECHA INICIAL')); ?>

                            </label>
                            <span class="text-danger">(*)</span>
                            <input type="datetime-local" name="start_date" placeholder="Ingrese la fecha Inicial"
                                class="form-control">
                        </div>

                        <div class="form-group col-md-12 g-3">
                            <label for="end_date" class="text-muted">
                                <?php echo e(__('FECHA FINAL')); ?>

                            </label>
                            <span class="text-danger">(*)</span>
                            <input type="datetime-local" name="end_date" placeholder="Ingrese la fecha Final"
                                class="form-control">
                        </div>

                        <div class="form-group col-md-12 g-3">
                            <label for="motivo_id" class="text-muted">
                                <?php echo e(__('MOTIVO')); ?>

                            </label>
                            <select name="motivo_id" placeholder="Motivo" class="form-control">
                                <option value="">Seleccionar Motivo</option>
                                <?php $__currentLoopData = $motivos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $nombre): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($id); ?>"><?php echo e($nombre); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>

                        <div class="col-md-12 text-end g-3">
                            <button type="submit" class="btn btn-secondary btn-sm">
                                <?php echo e(__('CONSULTAR')); ?>

                            </button>
                        </div>
                    </div>
                </form>
            </div>
        </div>


        <br>
        <br>
        <!-- Resultado -->
        <div class="card">

            <!-- Mostrar los registros -->
            <?php if(isset($filteredData)): ?>

                <div class="card-header d-flex justify-content-between align-items-center">
                    <?php echo e(__('TODAS LAS OPERACIONES REGISTRADAS')); ?>

                    <a class="btn btn-sm btn-secondary" href="<?php echo e(route('registros.create')); ?>">
                        <?php echo e(__('CREAR PROGRAMACIÓN')); ?>

                    </a>
                </div>
                <div class="card-body">
                    <table class="table table-striped table-hover">
                        <?php if(count($filteredData) > 0): ?>
                            <thead>
                                <tr>
                                    <th scope="col">
                                        <?php echo e(__('ID')); ?>

                                    </th>
                                    <th scope="col">
                                        <?php echo e(__('Operación')); ?>

                                    </th>
                                    <th scope="col">
                                        <?php echo e(__('Fecha y hora de registro')); ?>

                                    </th>
                                    <th scope="col">
                                        <?php echo e(__('Tipo de Vehículo')); ?>

                                    </th>
                                    <th scope="col">
                                        <?php echo e(__('Placa')); ?>

                                    </th>
                                    <th scope="col">
                                        <?php echo e(__('Documento cliente')); ?>

                                    </th>
                                    <th scope="col">
                                        <?php echo e(__('Nombre o Razón Social Cliente')); ?>

                                    </th>
                                    <th>
                                        <?php echo e(__('Acción')); ?>

                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $filteredData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $registro): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td scope="row">
                                            <?php echo e($registro->id); ?>

                                        </td>
                                        <td scope="row">
                                            <?php echo e($registro->accion->nombre_accion); ?>

                                        </td>
                                        <td scope="row">
                                            <?php echo e($registro->created_at->format('d/m/Y - H:i:s')); ?>

                                        </td>
                                        <td scope="row">
                                            <?php echo e($registro->tipoVehiculo->nombre_vehiculo); ?>

                                        </td>
                                        <td scope="row">
                                            <?php echo e($registro->placa); ?>

                                        </td>
                                        <td scope="row">
                                            <?php echo e($registro->documento_cliente); ?>

                                        </td>
                                        <td scope="row">
                                            <?php echo e($registro->datos_cliente); ?>

                                        </td>
                                        <td>
                                            <a href="<?php echo e(route('registros.show', $registro->id)); ?>"
                                                class="btn btn-info text-white btn-sm">
                                                <?php echo e(__('VER')); ?>

                                            </a>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        <?php else: ?>
                            <tr>
                                <td colspan="4" class="text-center text-muted">
                                    <?php echo e(__('No hay datos disponibles')); ?>

                                </td>
                            </tr>
                        <?php endif; ?>
                    </table>
                    <nav aria-label="Page navigation example">
                        <ul class="pagination justify-content-end">
                            <li class="page-item <?php echo e($filteredData->onFirstPage() ? 'disabled' : ''); ?>">
                                <a class="page-link" href="<?php echo e($filteredData->previousPageUrl()); ?>">
                                    <?php echo e(__('Anterior')); ?>

                                </a>
                            </li>
                            <?php for($i = 1; $i <= $filteredData->lastPage(); $i++): ?>
                                <li class="page-item <?php echo e($filteredData->currentPage() == $i ? 'active' : ''); ?>">
                                    <a class="page-link" href="<?php echo e($filteredData->url($i)); ?>"><?php echo e($i); ?></a>
                                </li>
                            <?php endfor; ?>
                            <li class="page-item <?php echo e($filteredData->hasMorePages() ? '' : 'disabled'); ?>">
                                <a class="page-link" href="<?php echo e($filteredData->nextPageUrl()); ?>">
                                    <?php echo e(__('Siguiente')); ?>

                                </a>
                            </li>
                        </ul>
                    </nav>
                    <?php if($sumTons !== null): ?>
                        <h4 class="text-end p-3">Total Toneladas: <span class="d-inline p-1 bg-dark text-white"><?php echo e($sumTons); ?></span></h4>
                    <?php endif; ?>
                </div>
            <?php endif; ?>



            <!-- Mostrar los registros -->






        </div>
    </div>



<br><br><br>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\alfa\resources\views\registros\query.blade.php ENDPATH**/ ?>