<?php $__env->startSection('content'); ?>
<div class="container">
    
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header bg-secondary text-light"><?php echo e(__('GRÁFICO ESTADÍSTICO DE OPERACIONES')); ?></div>
                <div class="card-body">
                    <a href="<?php echo e(route('data.query')); ?>" class="btn btn-info btn-sm"><?php echo e(__('CONSULTAR')); ?></a>
                    <canvas id="myChart"></canvas>
                </div>
            </div>
        </div>
    </div>
</div>

<?php $__env->startPush('js'); ?>
    <script>
        var ctx = document.getElementById('myChart').getContext('2d');
        var myChart = new Chart(ctx, {
            type: 'line',
            data: {
                labels: <?php echo json_encode($data['labels'], 15, 512) ?>, // Convierte el array PHP a JSON
                datasets: <?php echo json_encode($data['datasets'], 15, 512) ?>, // Convierte el array PHP a JSON
            },
            options: {
                responsive: true,
                plugins: {
                    legend: {
                        position: 'top',
                    },
                    title: {
                        display: true,
                        text: 'MOVIMIENTOS REGISTRADOS'
                    }
                },
                scales: {
                    x: {
                        type: 'category',
                        labels: <?php echo json_encode($data['labels'], 15, 512) ?>, // Convierte el array PHP a JSON
                    },
                    y: {
                        beginAtZero: true,
                        title: {
                            display: true,
                            text: 'Cantidad',
                        },
                    },
                },
                elements: {
                    line: {
                        tension: 0.3,
                    }
                },
            },
        });
    </script>
<?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\alfa\resources\views\home.blade.php ENDPATH**/ ?>