<div class="modal fade text-left" id="ModalRecepcionar<?php echo e($inventarioingreso->id); ?>" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
                <div class="card-header">
                    <div class="row justify-content-between">
                        <div class="col-md-6">
                            <h6 class="mt-2"><?php echo e(__('RECEPCIONAR ORDEN DE COMPRA')); ?></h6>
                        </div>
                        <div class="col-md-6 text-right">
                            <button type="button" style="font-size: 30px" class="close" data-dismiss="modal" aria-label="Close">
                                <img style="width: 15px" src="<?php echo e(asset('images/icon/close.png')); ?>" alt="cerrar">
                            </button>
                        </div>
                    </div>
                </div>
                <div class="card-body">
                    <form action="<?php echo e(route('inventarioingresos.updaterecepcionar', $inventarioingreso->id)); ?>" method="POST">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('PUT'); ?>
                        <div class="row">
                            <div class="form-group col-md-3 g-3">
                                <label for="inventarioingreso_fin" class="text-sm"><?php echo e(__('FECHA DE CREACIÓN')); ?></label>
                                <input class="form-control form-control-sm" value="<?php echo e($inventarioingreso->created_at); ?>" disabled>
                            </div>
                            <div class="form-group col-md-3 g-3">
                                <label for="inventarioingreso_fin" class="text-sm"><?php echo e(__('ESTADO DE LA ORDEN')); ?></label>
                                <input class="form-control form-control-sm" value="<?php echo e($inventarioingreso->estado); ?>" disabled>
                            </div>
                            <div class="form-group col-md-3 g-3">
                                <label for="inventarioingreso_fin" class="text-sm"><?php echo e(__('CREADOR DE LA ORDEN')); ?></label>
                                <input class="form-control form-control-sm" value="<?php echo e($inventarioingreso->usuario_ordencompra); ?>" disabled>
                            </div>
                            <div class="form-group col-md-3 g-3">
                                <label for="inventarioingreso_fin" class="text-sm"><?php echo e(__('ORDEN PAGADA POR')); ?></label>
                                <input class="form-control form-control-sm" value="<?php echo e($inventarioingreso->usuario_cancelacion); ?>" disabled>
                            </div>
                            <div class="form-group col-md-12 g-3">
                                <label for="descripcion" class="text-sm"><?php echo e(__('DESCRIPCIÓN')); ?></label>
                                <textarea class="form-control form-control-sm" disabled><?php echo e($inventarioingreso->descripcion ? $inventarioingreso->descripcion : 'No hay observación'); ?></textarea>
                            </div>
                            
                            <?php if(count($inventarioingreso->productos) > 0): ?>
                                <table class="table table-responsive table-striped table-hover">
                                    <thead>
                                        <tr class="text-center">
                                            <th><?php echo e(__('SELECCIONAR')); ?></th>
                                            <th><?php echo e(__('INGRESAR CANTIDAD RECIBIDA')); ?></th>
                                            <th><?php echo e(__('PRODUCTO DEL REQUERIMIENTO')); ?></th>
                                            <th><?php echo e(__('CANTIDAD')); ?></th>
                                            <th><?php echo e(__('CANTIDAD RECIBIDA')); ?></th>
                                            <th><?php echo e(__('CANTIDAD POR RECIBIR')); ?></th>
                                            <th><?php echo e(__('FECHA DE CREACIÓN')); ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $inventarioingreso->productos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $producto): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php
                                                $cantidad_por_recibir = $producto->pivot->cantidad - $producto->pivot->cantidad_ingresada;
                                            ?>
                                            <tr class="text-center">
                                                <td>
                                                    <?php if($cantidad_por_recibir != 0): ?>
                                                        <input type="checkbox" name="selected_products[<?php echo e($index); ?>]" value="<?php echo e($index); ?>" class="product-checkbox">
                                                    <?php else: ?>
                                                        COMPLETO
                                                    <?php endif; ?>
                                                </td>
                                                <td>
                                                    <div class="input-fields" style="display: none;">
                                                        <input type="number" required step="0.01" name="qty_arrived[<?php echo e($index); ?>]" class="form-control-sm additional-info form-control input-sm">
                                                    </div>
                                                </td>
                                                <td><?php echo e($producto->nombre_producto); ?></td>
                                                <td><?php echo e($producto->pivot->cantidad); ?></td>
                                                <td><?php echo e($producto->pivot->cantidad_ingresada); ?></td>
                                                <td><?php echo e($cantidad_por_recibir); ?></td>
                                                <td><?php echo e($producto->pivot->created_at); ?></td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            <?php endif; ?>

                            <div class="form-group col-md-4 g-3 text-sm">
                                <label for="guiaingresoalmacen"><?php echo e(__('GUIA DE INGRESO AL ALMACEN')); ?></label>
                                <span class="text-danger">(*)</span>
                                <input class="form-control form-control-sm" required type="text" name="guiaingresoalmacen">
                            </div>

                            <div class="col-md-12 text-right g-3 ">
                                <button type="submit" class="btn btn-sm btn-warning "><?php echo e(__('CONFIRMAR INGRESO DE LOS PRODUCTOS AL ALMACEN')); ?></button>
                            </div>
                        </div>
                    </form>
                </div>
        </div>
    </div>
</div>

<script>
    document.addEventListener('DOMContentLoaded', function() {
        var checkboxes = document.querySelectorAll('.product-checkbox');

        checkboxes.forEach(function(checkbox) {
            checkbox.addEventListener('change', function() {
                var inputFields = this.parentNode.parentNode.querySelector('.input-fields');

                if (this.checked) {
                    inputFields.style.display = 'block';
                } else {
                    inputFields.style.display = 'none';
                    inputFields.querySelector('input').value = '';
                }
            });
        });
    });
</script>
<?php /**PATH C:\xampp\htdocs\alfa\resources\views/inventarioingresos/modal/recepcionar.blade.php ENDPATH**/ ?>