

<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header d-flex justify-content-between align-items-center">
                        <?php echo e(__('TIPO DE VEHÍCULOS REGISTRADOS')); ?>

                        <a class="btn btn-sm btn-secondary" href="<?php echo e(route('vehiculos.create')); ?>">
                            <?php echo e(__('CREAR TIPO DE VEHÍCULO')); ?>

                        </a>
                    </div>
                    <div class="card-body">
                        <table class="table table-striped table-hover">
                            <?php if(count($vehiculos) > 0): ?>
                            <tbody>
                                <?php $__currentLoopData = $vehiculos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vehiculo): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td scope="row">
                                            <?php echo e($vehiculo->id); ?>

                                        </td>
                                        <td scope="row">
                                            <?php echo e($vehiculo->nombre_vehiculo); ?>

                                        </td>
                                        <td scope="row">
                                            <?php if($vehiculo->descripcion_vehiculo): ?>
                                                <?php echo e($vehiculo->descripcion_vehiculo); ?>

                                                <?php else: ?>
                                                <?php echo e(__('no hay descripción disponible')); ?>

                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <a href="<?php echo e(route('vehiculos.show', $vehiculo->id)); ?>" class="btn btn-secondary btn-sm">
                                                <?php echo e(__('VER')); ?>

                                            </a>
                                            <a href="<?php echo e(route('vehiculos.edit', $vehiculo->id)); ?>" class="btn btn-warning btn-sm">
                                                <?php echo e(__('EDITAR')); ?>

                                            </a>
                                            <form class="eliminar-vehiculo" action="<?php echo e(route('vehiculos.destroy', $vehiculo->id)); ?>" method="POST" style="display: inline;">
                                                <?php echo csrf_field(); ?>
                                                <?php echo method_field('DELETE'); ?>
                                                <button type="submit" class="btn btn-danger btn-sm">
                                                    <?php echo e(__('ELIMINAR')); ?>

                                                </button>
                                            </form>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                            <?php else: ?>
                                <tr>
                                    <td colspan="4" class="text-center text-muted">
                                        <?php echo e(__('No hay datos disponibles')); ?> 
                                    </td>
                                </tr>
                            <?php endif; ?>
                        </table>
                        <nav aria-label="Page navigation example">
                            <ul class="pagination justify-content-end">
                                <li class="page-item <?php echo e($vehiculos->onFirstPage() ? 'disabled' : ''); ?>">
                                    <a class="page-link" href="<?php echo e($vehiculos->previousPageUrl()); ?>">
                                        <?php echo e(__('Anterior')); ?>

                                    </a>
                                </li>
                                <?php for($i = 1; $i <= $vehiculos->lastPage(); $i++): ?>
                                    <li class="page-item <?php echo e($vehiculos->currentPage() == $i ? 'active' : ''); ?>">
                                        <a class="page-link" href="<?php echo e($vehiculos->url($i)); ?>"><?php echo e($i); ?></a>
                                    </li>
                                <?php endfor; ?>
                                <li class="page-item <?php echo e($vehiculos->hasMorePages() ? '' : 'disabled'); ?>">
                                    <a class="page-link" href="<?php echo e($vehiculos->nextPageUrl()); ?>">
                                        <?php echo e(__('Siguiente')); ?>

                                    </a>
                                </li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php $__env->startPush('js'); ?>
        <script>
            <?php if(session('eliminar-vehiculo') == 'Tipo de vehículo creado con éxito.'): ?>
                Swal.fire('Tipo de vehículo', 'eliminado exitosamente.', 'success')
            <?php endif; ?>
            <?php if(session('crear-vehiculo') == 'Tipo de vehículo creado con éxito.'): ?>
                Swal.fire('Tipo de vehículo', 'creado exitosamente.', 'success')
            <?php endif; ?>
            <?php if(session('editar-vehiculo') == 'Tipo de vehículo creado con éxito.'): ?>
                Swal.fire('Tipo de vehículo', 'actualizado exitosamente.', 'success')
            <?php endif; ?>
        </script>
        <script>
            $('.eliminar-vehiculo').submit(function(e){
                e.preventDefault();
                Swal.fire({
                    title: '¿Eliminar tipo de vehículo?',
                    icon: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#3085d6',
                    cancelButtonColor: '#d33',
                    confirmButtonText: '¡Sí, continuar!',
                    cancelButtonText: 'Cancelar'
                }).then((result) => {
                    if(result.isConfirmed){
                        this.submit();
                    }
                })
            });
        </script>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\alfa\resources\views\vehiculos\index.blade.php ENDPATH**/ ?>