

<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <div class="row justify-content-between">
                            <div class="col-md-6">
                                <h6 class="mt-2">
                                    <?php echo e(__('REQUERIMIENTO')); ?>

                                </h6>
                            </div>
                            <div class="col-md-6 text-right">
                                <a class="btn btn-danger btn-sm" href="<?php echo e(route('inventariosalidas.index')); ?>">
                                    <i class="fa-solid fa-x"></i>
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="row">

                            <form action="<?php echo e(route('inventariosalidas.updateentregar', $inventariosalida->id)); ?>"
                                method="POST">
                                <?php echo csrf_field(); ?>
                                <?php echo method_field('PUT'); ?>



                            <div class="form-group col-md-3 g-3">
                                <label for="inventariosalida_fin">
                                    <?php echo e(__('FECHA DE CREACIÓN')); ?>

                                </label>
                                <input class="form-control" value="<?php echo e($inventariosalida->created_at); ?>" disabled>
                            </div>



                            <div class="form-group col-md-3 g-3">
                                <label for="inventariosalida_fin">
                                    <?php echo e(__('ESTADO DE LA ORDEN')); ?>

                                </label>
                                <input class="form-control" value="<?php echo e($inventariosalida->estado); ?>" disabled>
                            </div>

                            <div class="form-group col-md-12 g-3">
                                <label for="descripcion">
                                    <?php echo e(__('DESCRIPCIÓN')); ?>

                                </label>
                                <textarea class="form-control" disabled><?php echo e($inventariosalida->descripcion ? $inventariosalida->descripcion : 'No hay observación'); ?></textarea>
                            </div>



                            <div class="mt-2">
                                <?php if(count($inventariosalida->productos) > 0): ?>
                                    <table class="table table-striped table-hover">
                                        <thead>
                                            <tr >


                                                <th scope="col" class="text-center">
                                                    <?php echo e(__('SELECCIONAR')); ?>

                                                </th>

                                                <th>
                                                    <?php echo e(__('INGRESAR CANTIDAD ENTREGADA')); ?>

                                                </th>


                                                <th scope="col" class="text-center">
                                                    <?php echo e(__('PRODUCTO DEL REQUERIMIENTO')); ?>

                                                </th>
                                                <th scope="col" class="text-center">
                                                    <?php echo e(__('STOCK')); ?>

                                                </th>
                                                <th scope="col" class="text-center">
                                                    <?php echo e(__('CANTIDAD REQUERIDA')); ?>

                                                </th>

                                                <th scope="col" class="text-center">
                                                    <?php echo e(__('CANTIDAD ENTREGADA')); ?>

                                                </th>


                                                <th scope="col" class="text-center">
                                                    <?php echo e(__('FECHA DE CREACIÓN')); ?>

                                                </th>


                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                                $entrega_posible = true;

                                            ?>
                                            <?php $__currentLoopData = $inventariosalida->productos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $producto): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                
                                                <tr class="text-center">

                                                    <?php
                                                        $cantidad_por_entregar = $producto->pivot->cantidad - $producto->pivot->cantidad_entregada;
                                                    ?>

                                                    <td>
                                                        <?php if($cantidad_por_entregar >= 0): ?>
                                                            <input type="checkbox" name="selected_products[]"
                                                                value="<?php echo e($producto->id); ?>" class="product-checkbox">
                                                        <?php else: ?>
                                                            COMPLETO
                                                        <?php endif; ?>
                                                    </td>

                                                    <td>
                                                        <div class="input-fields" style="display: none;">
                                                            <input type="number"  step="0.01"
                                                                name="qty_arrived[<?php echo e($producto->id); ?>]"
                                                                class="additional-info form-control input-sm"
                                                                style="width: 50%">
                                                        </div>
                                                    </td>

                                                    <td scope="row" >
                                                        <?php echo e($producto->nombre_producto); ?>

                                                    </td>
                                                    <td scope="row">
                                                        <?php if($producto->stock): ?>
                                                        <?php echo e($producto->stock); ?>

                                                        <?php else: ?>
                                                        0
                                                        <?php endif; ?>
                                                    </td>
                                                    <td scope="row">
                                                        <?php echo e($producto->pivot->cantidad); ?>

                                                    </td>


                                                    <td scope="row">
                                                        <?php echo e($producto->pivot->cantidad_entregada); ?>

                                                    </td>
                                                    <td scope="row">
                                                        <?php echo e($producto->pivot->created_at); ?>

                                                    </td>







                                                </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </tbody>



                                    </table>
                                <?php endif; ?>
                            </div>



                            
                                
                                    <div class="col-md-12 text-end g-3 m-3">
                                        <button type="submit" class="btn btn-warning  m-3">
                                            <?php echo e(__('CONFIRMAR SALIDA DE LOS PRODUCTOS AL ALMACEN')); ?>

                                        </button>
                                    </div>
                                


                            </form>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>



    <?php $__env->startPush('js'); ?>
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            var checkboxes = document.querySelectorAll('.product-checkbox');

            checkboxes.forEach(function(checkbox) {
                checkbox.addEventListener('change', function() {
                    var inputFields = this.parentNode.parentNode.querySelector('.input-fields');


                    if (this.checked) {
                        inputFields.style.display = 'block';
                    } else {
                        inputFields.style.display = 'none';
                        inputFields.querySelector('input').value = '';
                    }
                });
            });
        });
    </script>
<?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\alfa\resources\views\inventariosalidas\entregar.blade.php ENDPATH**/ ?>